All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.security
Class GetSubject

    com.sas.services.security.GetSubject

    public class GetSubject

This class has only one purpose: To copy a user's Subject across a remote interface. Since the JAAS Subject class is neither Remote nor Serializable, there needs to be a mechanism for getting it across a remote interface, so it can be used for a doAs() or doAsPrivileged() code section.

Since:
  1.0

Constructor Summary
`GetSubject()`

Method Summary
`static javax.security.auth.Subject` | `getSubject(UserContextInterface user)` Get a security Subject from a UserContext.

Constructor Detail

### GetSubject

    public GetSubject()

Method Detail

### getSubject

    public static javax.security.auth.Subject getSubject(UserContextInterface user)
                                                  throws ServiceException

  Get a security Subject from a UserContext. A Subject is defined by its collections of principals, public credentials and private credentials. Get those items from the UserContext (hopefully, they'return all PFS versions of those objects), and create a new Subject in the current JVM.

  Parameters:
    `user` - The UserContext to create the new Subject from.
  Returns:
    The new Subject, created in the local JVM.
  Throws:
    `ServiceException` - in the event of service object failure.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.